<?php

namespace Tests\Feature\V2\Dashboard\SafetyAndPrivacy;

use App\Models\LogList;
use App\Models\Permission;
use App\Models\SafetyAndPrivacy;
use App\Models\User;
use App\Models\UserActivityLog;
use Illuminate\Foundation\Testing\RefreshDataBase;
use Tests\TestCase;

class getAllDataToMapTest extends TestCase
{
    use RefreshDataBase;
    /**
     * A basic feature test example.
     */
    public function test_can_see_all_data_to_map(): void
    {
        $date_from = $this->faker->date;
        $date_to = $this->faker->date;

        $user = User::factory()
            ->create();

        $response = $this->actingAs($user)->getJson(route('v2.safety_and_privacy.report.map', [
            'date_from' => $date_from,
            'date_to' => $date_to
        ]));

        $response->assertStatus(200)
            ->assertJsonStructure([
                'status',
                'count',
                'message',
                'data'
            ]);
    }
}
